hppatrans(1)

NAME

hppatrans - TDF to HP PA-RISC translator on HP-UX

SYNOPSIS

hppatrans [options] input-fileoutput-file

DESCRIPTION

The code production portion of the TDF compiler is under the control of a TDF translator, which translates a TDF capsule into an assembly source file. There are separate TDF translators for each target architecture. This manual page describes the translator which produces assembly code for the HP PA-RISC machines. It is recommended that hppatrans not be invoked directly, but via the user interface tcc(1). The option -opt can be passed to hppatrans by passing the option -Wt,-opt to tcc(1).

OPTIONS

-Aswitch
    This option determines whether hppatrans should inline calls to alloca. This is done by default.

-Bswitch
    This option determines whether hppatrans should report floating point constants which exceed their range. This is always done by default. If this option is switched off such constants are replaced by infinity.

-Cswitch
    This option determines whether hppatrans should apply the "constants out of loops" optimisation. This optimisation is performed by default.

-Dswitch -dswitch
    These options cause hppatrans to output Position Independent Code (PIC). The -D flag emulates cc's +Z flag, -d emulates cc's +z flag. Neither option has yet been tested.

-E  This option disables hppatrans&39;s constant overflow checks.

-Fswitch
    This option determines whether hppatrans should apply the "for all" optimisation. This is done by default.

-Gswitch
    To be documented.

-H -h
    The -H flag causes hppatrans to output xdb compatible debugging information in its output file. This option is only available if the header file hpux_symtab.h was included whilst compiling hppatrans. (hpux_symtab.h is available by anonymous FTP - see the release notes for further information.) Please note well that there is a known bug in the -H option. The bug sometimes prohibits xdb reading selective diagnostic information from a suite of two or more modules linked together.

    The -h flag causes hppatrans to output gdb compatible, i.e. stabs, debugging information in its output file. The -h flag is believed to be valid - any error is a genuine bug.

    The -H and -h options will only work if the input TDF capsule contains debugging information.

-Iswitch
    This option determines whether hppatrans applies the "inlining" optimisation. This is done by default.

-Kstr
    Causes hppatrans to optimise its code for a particular processor model, determined by str. At present there are no valid values for str.

-Mswitch
    If this option is on, hppatrans preserves division by a floating point number rather than replacing it by multiplication by the reciprocal of the number. While the latter produces faster code, it may lead to rounding errors. By default, division by constants is preserved.

-P  This option causes hppatrans to output profiling information suitable for use with prof(1) or a similar tool (see individual manual pages for details). This option is currently not supported on the Solaris platform.

-Q  This option causes hppatrans to quit before processing its input files. This is particularly useful in conjunction with -V.

-Rswitch
    This option determines whether hppatrans should immediately round every floating point operation to its appropriate range. This produces slower code, but is necessary for strict IEEE conformance. The default is not to round after every operation.

-Uswitch
    This option determines whether hppatrans should apply the "loop unrolling" optimisation. This optimisation is performed by default.

-V  This option causes hppatrans to print its version number and the version of the TDF specification it supports.

-Wswitch
    This option determines whether hppatrans should make string literals writable. At present the C producer does not make use of this facility, so strings are writable.

-X  This option disables all optimisations. All hppatrans&39;s optimisations are believed to be valid, so that any error in optimisation is a genuine bug.

-Z  This option causes hppatrans to print the version number of all the TDF capsules it decodes.

-d  To be documented.

-g  To be documented.

SEE ALSO

tcc(1),cc(1) and xdb.